comment
{
  function
  {
	func_call="PopFightSelUnitMenu()";
  }
}

comment
{
  WorldRunMode="B10",0; //取消世界系统的控制
}

comment
{
 screen
 {
  mode=0;
  color=0;
  dstframe=0xff;
  speed=3;
 }
}

comment
{
  function
  {
	func_call="BeginFight()";
	threadLV=2;
  }
}

comment
{
  GameSystemMode="B101",1;
}

comment
{
  getunit
  {
	id=0;
	team=1;
  }
  unitctrl
  {
	setpt=-2250,30,-2400;
	lookpt=-2051,0,-2400;
  }
  camera
  {
	lookpt=0,80,0,1;
	roll=0.3;
	yaw=-2,2,0.001;
	distance=-400;
	swing=1;
  }
  wait=1; //重置人物位置时会有个落地动作，最好等一等。
}

comment
{
  screen
  {
	dstframe=0;
	speed=10;
	swing=1;
  }
}

comment
{
  function
  {
	func_call="PlaySceneBGM()";
  }
  wait=1;
}

comment
{
  getunit
  {
	id=0;
	team=1;
  }
  dialogue
  {
	talk="这里是我们精灵族的领地。";
  }
  wait=4;
}

comment
{
  dialogue
  {
	talk="可恶的人类不得肆意犯境！";
  }
  wait=4;
}

comment
{
  anima3ds
  {
	file="DATA\SysMenu\DiTM$2.3DS";
  }
}

comment
{
  GameSystemMode="B101",0;
  return;
}

#BOOKMARK_WIN://———————————————————————————————————
comment
{
  wait=5;
}

comment
{
  menu
  {
	popmenu="战斗结束";
	swing=0;
  }
  bgm
  {
	file="DATA\SysMenu\StageClear.wav";
	play=1;
  }
}

comment
{
  function
  {
	func_call="SetExitTime(100)";
  }
  nextStage=""; //默认+1
  return;
}

#BOOKMARK_LOSE://———————————————————————————————————
comment
{
  wait=5;
}

comment
{
  msglist
  {
	strings="战斗失利~~~！";
	color=0xffffffff,0xffffffff,0xffff0000,0xffff0000;
	outlinecolor=0x770000ff;
	waittime=5;
	soundID=10;
	type=1;
	fontID=2;
  }
  menu
  {
	popmenu="战斗结束";
	swing=0;
  }
  GameSystemMode="B101",0;
  wait=4;
}

comment
{
  goto="EXIT";
}

#BOOKMARK_EXIT://———————————————————————————————————
comment
{
  screen
  {
	mode=0;
	color=0;
	dstframe=0xff;
	speed=5;
  }
  bgcolor=0;
}

comment
{
  function
  {
	func_call="StartWorldMap()";
	threadLV=2;
  } 
}

comment
{
  screen
  {
	dstframe=0;
	speed=15;
  }
}

comment
{
  function
  {
	func_call="PlaySceneBGM()";
  }
  return;
}
